'=============================================================================
' (c)2014 PIC18F2550
'=============================================================================
'================= Hartware ==================================================
#%10000000_00000000_00000000_00000000,  h_RX
#%01000000_00000000_00000000_00000000,  h_TX
#%00100000_00000000_00000000_00000000,  h_SCL
#%00010000_00000000_00000000_00000000,  h_DAT
#%00001000_00000000_00000000_00000000,  h_LED

#%00000000_00000001_11111111_11111111,  h_BUS
#%00000000_00000000_11111111_11111111,  h_DBUS
#%00000000_00000001_00000000_00000000,  h_CBUS

'================= Software ==================================================
' Jedem Modul stehen 64 Befehle zur verfügung werden mehr gebraucht so ist
' Das nachfolgende DatenWord zu benutzen
'=============================================================================
' SYSTEM
VAR
CON
#$10000,  c_SYS
#$10000,  c_SYS_SPEC        ' Spezifikation der Karte Abfragen der Steckplatz wird über I²C angefragt
          c_SYS_COGS        ' Service anzahl freier COGs
          c_SYS_LOAD        ' neuen Treiber Laden
          c_SYS_LEDON
          c_SYS_LEDOFF
          c_SYS_REBO0T      ' Treiber zurücksetzen (Urzustand)
'=============================================================================
' FAT32
VAR
CON
#$0100,   c_SD
#$0100,   c_SD_MOUNT
          c_SD_DIROPEN
          c_SD_NEXTFILE
          c_SD_OPEN
          c_SD_CLOSE
          c_SD_GETC
          c_SD_PUTC
          c_SD_GETBLK
          c_SD_PUTBLK
          c_SD_SEEK
          c_SD_FATTRIB
          c_SD_VOLNAME
          c_SD_CHECKMOUNTED
          c_SD_CHECKOPEN
          c_SD_CHECKUSED
          c_SD_CHECKFREE
          c_SD_NEWFILE
          c_SD_NEWDIR
          c_SD_DEL
          c_SD_RENAME
          c_SD_CHATTRIB
          c_SD_CHDIR
          c_SD_FORMAT
          c_SD_UNMOUNT
          c_SD_DMACT
          c_SD_DMSET
          c_SD_DMGET
          c_SD_DMCLR
          c_SD_DMPUT
          c_SD_EOF
'=============================================================================
' NET
VAR
CON
#$10140,  c_NET
#$10140,  c_NET_STOP
          c_NET_START
          c_NET_LISTEN
'=============================================================================

