'================================================================================================
' (c)2014 PIC18F2550
'================================================================================================
#ifdef SYS 
PUB s_getcommand                ' ein word von regnatix empfangen
''funktionsgruppe               : chip
''funktion                      : ein word von regnatix empfangen
''eingabe                       : -
''ausgabe                       : long H=Status(word), L=Command(word)
  return

PRI s_getdata                   ' ein word von regnatix empfangen
''funktionsgruppe               : chip
''funktion                      : ein word von regnatix empfangen
''eingabe                       : -
''ausgabe                       : long H=Status(word), L=Command(word)
  return

PRI s_putdata                   ' ein word an regnatix gesendet
''funktionsgruppe               : chip
''funktion                      : ein word von regnatix empfangen
''eingabe                       : -
''ausgabe                       : long H=Status(word), L=Command(word)
  return

PRI s_getspec                   ' abfrage der spezifikation des chips
''funktionsgruppe               : cmgr
''funktion                      : abfrage der version und spezifikation des chips
''eingabe                       : -
''ausgabe                       : cogs - anzahl der cogs
''busprotokoll                  : [putw.spec]
  return

PRI s_getcogs:cogs|i,c,cog[8]   ' abfragen wie viele cogs in benutzung sind
''funktionsgruppe               : cmgr
''funktion                      : abfrage wie viele cogs in benutzung sind
''eingabe                       : -
''ausgabe                       : cogs - anzahl der cogs
''busprotokoll                  : [putw.cogs]
''                              : cogs - anzahl der belegten cogs
  return

PRI s_progload|i                ' Treiber-loader
''funktionsgruppe               : cmgr
''funktion                      : funktion um einen neuen code zu laden
''
''diese datei als eeprom-image zu speichern

PRI s_reboot
  reboot
pub s_SYS_SPEC
  repeat

pub s_SYS_COGS
  repeat

pub s_SYS_LOAD
  repeat

pub s_SYS_LEDON
  outa[h_LED] := 1

pub s_SYS_LEDOFF
  outa[h_LED] := 0

pub s_SYS_REBO0T
  reboot
#endif
